Compatibilty dotnet core 2.0 and dotconnect oracle

Discussion of open issues, suggestions and bugs regarding ADO.NET provider for Oracle
Post Reply
vinz
Posts: 11
Joined: Fri 16 Jan 2015 12:51

Compatibilty dotnet core 2.0 and dotconnect oracle

Post by vinz » Mon 11 Sep 2017 11:44

Hello,
i want to know if dotconnect for Oracle is compatible with the dotnet core 2.0 and EF core 2.0 ?
It seems not to be possible in my project.
thank's

Shalex
Site Admin
Posts: 8366
Joined: Thu 14 Aug 2008 12:44

Re: Compatibilty dotnet core 2.0 and dotconnect oracle

Post by Shalex » Tue 12 Sep 2017 12:19

dotConnect for Oracle supports .NET Standard 1.3 (.NET Core 1.3) at the moment. We will notify you when .NET Core 2.0 / EF Core 2.0 support is implemented. An approximate timeframe is one month.

vinz
Posts: 11
Joined: Fri 16 Jan 2015 12:51

Re: Compatibilty dotnet core 2.0 and dotconnect oracle

Post by vinz » Wed 13 Sep 2017 12:17

Thank's for your reply

Shalex
Site Admin
Posts: 8366
Joined: Thu 14 Aug 2008 12:44

Re: Compatibilty dotnet core 2.0 and dotconnect oracle

Post by Shalex » Mon 30 Oct 2017 20:00

.NET Core 2.0 and EF Core 2.0 are supported: viewtopic.php?f=1&t=36128.

Be aware that starting from Entity Framework Core 2.0 the Scaffold-DbContext functionality (Devart.Data.Oracle.EFCore.Design.dll) is included in the Devart.Data.Oracle.EFCore package.

Post Reply